Create Integration Legacy - SuperAI Flows
Create Integration Legacy
cURL
curl --request POST \
--url https://flows.super.ai/api/integrations/plugins/{plugin_name}/instances \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '{}'
import requests
url = "https://flows.super.ai/api/integrations/plugins/{plugin_name}/instances"
payload = {}
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://flows.super.ai/api/integrations/plugins/{plugin_name}/instances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


422 Response
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
Authorizations
X-API-Key
string, header, required
API key authentication. Include your API key in the X-API-Key header as: X-API-Key YOUR_API_KEY
Example:
X-API-Key: saf_1234567890
Authorization
string, header, required
JWT Bearer token authentication. Include your access token in the Authorization header as: Bearer YOUR_ACCESS_TOKEN
Example:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Path Parameters
- plugin_name
string, required
Body
application/json
The body is of type Request Body · object.
Response
200 application/json Successful Response